## gst-plugins-bad1.0 1.18.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.0-2ubuntu1) groovy; urgency=low

  [ Gianfranco Costamagna ]
  * Merge from Debian unstable.  Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

  [ Iain Lane ]
  * debian/rules:
    - Fix file removal
    - Remove jpegformat here too
  * debian/rules: Do the removals earlier, before dh_install, so they actually
    affect the binary packages.
  * debian/rules: Don't install openni on i386. Properly disable opencv and
    wpe.
  * debian/control: Drop some BDs on i386 which aren't available, disabling
    the corresponding plugins:
    - libltc-dev
    - libwpewebkit-1.0-dev
    - libopenni2-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Sep 2020 17:33:23 +0200

gst-plugins-bad1.0 (1.18.0-2) unstable; urgency=medium

  * debian/rules:
    + Add `--with gir` to generate correct dependencies. Thanks to Ken VanDine.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 15:15:27 +0300

gst-plugins-bad1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable (Closes: #927995, #893813).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 11:57:33 +0300

gst-plugins-bad1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:30:56 +0300

gst-plugins-bad1.0 (1.17.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Name (from ./configure),
    Repository, Repository-Browse.

  [ Laurent Bigonville ]
  * Only build the opencv plugin on architecture where opencv is available
  * Install the opencv haarcascades files in the opencv plugin package
  * d/p/02_opencv-data-path.patch: Fix paths for the haarcascades files
    (Closes: #956518)
  * debian/control.in: Bump from Priority: extra to optional, the former is
    deprecated

  [ Sebastian Dröge ]
  * New upstream development release.
  * Completely redo and modernize the packaging.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Jul 2020 09:30:58 +0300

gst-plugins-bad1.0 (1.16.2-2.3ubuntu2) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:38:23 +0100

gst-plugins-bad1.0 (1.16.2-2.3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add fix-openexr-check.patch: fix build failure
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 11:05:25 +0200

gst-plugins-bad1.0 (1.16.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust make 4.3 patch to also work with make 4.2 (Closes: 965298 )
  * Apply upstream patch to make "lv2" plugin build with gcc-10 (Closes: 957314 )

 -- Peter Michael Green <plugwash@debian.org>  Thu, 23 Jul 2020 12:47:21 +0000

gst-plugins-bad1.0 (1.16.2-2.2ubuntu2) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add fix-openexr-check.patch: fix build failure
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Jul 2020 20:19:53 +0200

gst-plugins-bad1.0 (1.16.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Replace libsrt-dev with libsrt-gnutls-dev
  * Fix build with make 4.3 (Closes: #962720)

  [ Sebastian Ramacher ]
  * Apply upstream patch to build with new vulkan

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jul 2020 22:56:22 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu7) groovy; urgency=medium

  * Add patch to fix the build on some plugins-bad imported code
  * debian/patches/0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch:
    - patch from arch linux to fix build with new mesa

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 20:08:04 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu6) groovy; urgency=medium

  * Update srt-dev with srt-gnutls-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 17:51:49 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu3) groovy; urgency=medium

  * Add fix-openexr-check.patch: fix build failure

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 May 2020 19:42:45 -0400

gst-plugins-bad1.0 (1.16.2-2.1ubuntu2) groovy; urgency=medium

  * No-change rebuild against latest libdvdread

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 May 2020 19:23:08 -0400
