## gst-plugins-bad1.0 1.18.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:10:36 +0200

gst-plugins-bad1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/control:
    + Switch from libdc1394-22-dev to libdc1394-dev (Closes: #970841).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2020 18:17:33 +0200
