## gst-plugins-bad1.0 1.18.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.3-1ubuntu2) hirsute; urgency=medium

  * Rebuild against new split libsrt1.4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 11:33:55 +0100

gst-plugins-bad1.0 (1.18.3-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 15:11:06 +0100

gst-plugins-bad1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:51:27 +0200

gst-plugins-bad1.0 (1.18.2-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild for opencv soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Dec 2020 17:09:59 +0100

gst-plugins-bad1.0 (1.18.2-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 23:16:28 +0100

gst-plugins-bad1.0 (1.18.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Oct 2020 17:09:49 +0100

gst-plugins-bad1.0 (1.18.0-2ubuntu6) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Oct 2020 09:07:56 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu5) groovy; urgency=medium

  * Rebuild against new libdc1394-25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Sep 2020 08:41:20 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu4) groovy; urgency=medium

  [ Gianfranco Costamagna, Iain Lane ]
  * Don't depend on opencv package on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Sep 2020 14:17:53 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu3) groovy; urgency=low

  [ Gianfranco Costamagna ]
  * Merge from Debian unstable.  Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

  [ Iain Lane ]
  * debian/rules:
    - Fix file removal
    - Remove jpegformat here too
  * debian/rules: Do the removals earlier, before dh_install, so they actually
    affect the binary packages.
  * debian/rules: Don't install openni on i386. Properly disable opencv and
    wpe.
  * debian/control: Drop some BDs on i386 which aren't available, disabling
    the corresponding plugins:
    - libltc-dev
    - libwpewebkit-1.0-dev
    - libopenni2-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Sep 2020 17:33:23 +0200
