=== debian/changelog ===
gst-plugins-bad1.0 (1.18.4-3+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * av1parser: Fix potential stack overflow during tile list parsing
    (CVE-2024-0444)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 27 Jan 2024 07:53:09 +0100

gst-plugins-bad1.0 (1.18.4-3+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * codecparsers: av1: Clip max tile rows and cols values (CVE-2023-44429)
    (Closes: #1056102)
  * mxfdemux: Store GstMXFDemuxEssenceTrack in their own fixed allocation
    (CVE-2023-44446) (Closes: #1056101)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 21 Nov 2023 20:33:07 +0100

gst-plugins-bad1.0 (1.18.4-3+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * h265parser: Fix possible overflow using max_sub_layers_minus1
    (CVE-2023-40476) (Closes: #1053259)
  * mxfdemux: Fix integer overflow causing out of bounds writes when handling
    invalid uncompressed video (CVE-2023-40474) (Closes: #1053261)
  * mxfdemux: Check number of channels for AES3 audio (CVE-2023-40475)
    (Closes: #1053260)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Oct 2023 22:34:42 +0200

gst-plugins-bad1.0 (1.18.4-3+deb11u1) bullseye-security; urgency=medium

  * GST-2023-0003

 -- Moritz Mühlenhoff <moritz@wikimedia.org>  Thu, 29 Jun 2023 17:56:04 +0200

gst-plugins-bad1.0 (1.18.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Add more architectures to the opencv BD
  * debian/control: Do not make libgstreamer-plugins-bad1.0-dev depend on
    opencv where it's not available (Closes: #987396)
  * Do not try to install the sctp on non-linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Mon, 26 Apr 2021 17:07:50 +0200

gst-plugins-bad1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/0001-h2645parser-Catch-overflows-in-AVC-HEVC-NAL-unit-length.patch:
    + Catch overflows in AVC/HEVC NAL unit length calculations, which would
      lead to allocating infinite amounts of small memory blocks until OOM and
      could potentially also lead to memory corruptions.

      See https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2103

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:52:28 +0300

gst-plugins-bad1.0 (1.18.4-1) experimental; urgency=medium

  [ Marc Leeman ]
  * New upstream version 1.18.4

  [ Sebastian Dröge ]
  * Upload to experimental.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:32:14 +0300
