## gst-plugins-bad1.0 1.18.5

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.5-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 24 Sep 2021 12:31:47 +0200

gst-plugins-bad1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:39:30 +0300

gst-plugins-bad1.0 (1.18.4-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Apr 2021 11:23:20 +0200
