=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libglib2.0-dev (>= 2.44),
                libgstreamer1.0-dev (>= 1.18.0),
                libgstreamer-plugins-base1.0-dev (>= 1.18.0),
+               libgstreamer-plugins-good1.0-dev (>= 1.18.0),
                gstreamer1.0-plugins-base (>= 1.18.0),
                gstreamer1.0-plugins-good (>= 1.18.0),
                liborc-0.4-dev (>= 1:0.4.24),
@@ -47,19 +48,19 @@
                libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
-               libltc-dev (>= 1.1.4),
+               libltc-dev (>= 1.1.4) [!i386],
                libnice-dev (>= 0.1.14),
                libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
-               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                libwpebackend-fdo-1.0-dev (>= 1.6.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
-               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
+               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa mipsel ppc64 ppc64el s390x sparc64 x32],
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
                libopus-dev (>= 0.9.4),
-               libopenni2-dev (>= 0.26) [linux-any],
+               libopenni2-dev (>= 0.26) [!i386],
                liborc-0.4-dev (>= 1:0.4.17),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
@@ -262,4 +263,3 @@
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
  about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
